{% extends 'layouts/capa.twig' %}

{% block conteudo %}
    <main class="container principal">
        <!-- bloco 1 -->
        {% include bloco1 %}
        <div class="row w-100 m-md-0 m-0">
            <div class="col-sm-12 col-md-12 col-lg-8 feed-noticias ">
                <!-- bloco 2.1 -->
                {% include 'capa/blocos/bloco-2-1.twig' %}
                <!-- bloco 2.2 -->
                {% include 'capa/blocos/bloco-2-2.twig' %}
                <!-- bloco 3 -->
                {% include 'capa/blocos/bloco-3.twig' %}
                <!-- bloco 4 -->
                {% include 'capa/blocos/bloco-4.twig' %}
                <!-- bloco 5 -->
                {% include 'capa/blocos/bloco-5.twig' %}
                <!-- bloco 6 -->
                {% include 'capa/blocos/bloco-6.twig' %}
                <!-- bloco 7 -->
                {% include 'capa/blocos/bloco-7.twig' %}
            </div>
            <div class="pr-0 col-lg-4 width-cards">
                <div class="row row-100">
                    {% include 'capa/cards/view.twig' %}
                </div>
            </div>
        </div>
        <div class="final-blocos d-none d-md-block d-lg-none">
        </div>
        <div class="card-mobile d-block d-md-none my-1 mb-3">
            {% include 'capa/mais-lidas.twig' %}
        </div>
        <div class="card-tablet d-none d-md-flex d-lg-none my-1 mb-3">
            <div class="anuncios-tablet">
                <div class="anuncio-quadrado-pequeno"></div>
                <div class="anuncio-quadrado-pequeno"></div>
            </div>
            {% include 'capa/mais-lidas.twig' %}
        </div>

        <div class="anuncio fontana">
            <figure>
                <img src="{{ url }}assets/img/fontana.jpg" alt="Banner fontana">
            </figure>
        </div>
    </main>
    {% include 'includes/busca-por-data.twig' with{'data':hoje, 'url':url} only %}
{% endblock %}

{% block jsExtra %}
    {% include 'includes/scriptHotjar.twig' %}
    <script>
        {#{{ anuncios|raw }}#}
        configurarAnuncios(true);
        slideImoveis({{ imoveis.getDados|raw }});

        (function carregarImagensAssincronamente() {
            var carregarImagens = function () {
                var imgs = document.querySelectorAll('img[data-src]');
                for (var i = 0; i < imgs.length; i++) {
                    if (imgs[i].getBoundingClientRect().top < window.innerHeight + 300) {
                        imgs[i].src = imgs[i].getAttribute('data-src');
                    }
                }
            };
            carregarImagens();
            window.onscroll = carregarImagens;
        })();
    </script>
{% endblock %}
